Subject: bug#22845: closed (Re: bug#22852: gzip-1.7 release coming soon)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 02 Mar 2016 17:02:02 +0000

Your bug report

#22852: FYI: release soon

which was filed against the gzip package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
22852: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=22852
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#22852: gzip-1.7 release coming soon
From: Jim Meyering <[email-masked]>
To: [email-masked], Rusty Russell <[email-masked]>
Date: Wed, 2 Mar 2016 09:01:00 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On Mon, Feb 29, 2016 at 8:49 AM, Jim Meyering <[email-masked]> wrote:
> [resending to the proper list -- first one went to bug-grep]
> Finally, here is a long-overdue upstream-ready --rsyncable
> patch for gzip. I've Cc'd Rusty Russel, who is listed as the author.
> I'll push this in the next day or so, so any improvements people
> can suggest in the mean time would be most welcome.
> Most of the changes came from some distro patches
> (not sure if it was debian or fedora, since I began this
> long ago). I added the test, the NEWS blurb, a few
> comments and the commit log.

Pushed as http://git.savannah.gnu.org/cgit/gzip.git/commit/?id=d6d48f427b4839352437be9688142f6733028d22

Subject: FYI: release soon
From: Jim Meyering <[email-masked]>
To: [email-masked]
Date: Sun, 28 Feb 2016 21:31:57 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

I want to make a release soon.
The preceding release (gzip-1.6) was 2.5 years ago.

Here's a small admin change I've just pushed.
I suspect I'm the only one who noticed, because it
is triggered only via "make distcheck" when also
using automake built from automake.git's master branch.
From 9860eb784749f8588346850e693d7460e5be1601 Mon Sep 17 00:00:00 2001
From: Jim Meyering <[email-masked]>
Date: Sun, 28 Feb 2016 19:48:38 -0800
Subject: [PATCH] maint: dist-check.mk: remove .deps dirs before comparing

"make distcheck" with automake-from-trunk would fail like this:
  ...
  Only in /gz/tests/torture/gzip/test/gzip-1.6.42-9d47.old: .deps
  Only in /gz/tests/torture/gzip/test/gzip-1.6.42-9d47.old/lib: .deps
  Only in /gz/tests/torture/gzip/test/gzip-1.6.42-9d47.old/lib/glthread: .deps
* dist-check.mk (my-distcheck): Remove all .deps directories before
comparing the two hierarchies.
---
 dist-check.mk | 1 +
 1 file changed, 1 insertion(+)

diff --git a/dist-check.mk b/dist-check.mk
index 6287dfe..f23339e 100644
--- a/dist-check.mk
+++ b/dist-check.mk
@@ -188,6 +188,7 @@ my-distcheck: $(DIST_ARCHIVES) $(local-check)
 	)
 	(cd $(t) && mv $(distdir) $(distdir).old	\
 	  && $(amtar_extract_) - ) < $(preferred_tarball_)
+	find $(t)/$(distdir).old $(t)/$(distdir) -name .deps | xargs rmdir
 	diff -ur $(t)/$(distdir).old $(t)/$(distdir)
 	-rm -rf $(t)
 	rmdir $(tmpdir)/$(PACKAGE) $(tmpdir)
-- 
2.6.4